> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authsignal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Authenticator Configurations

> Get a list of the authenticators configured for the tenant.



## OpenAPI

````yaml client-api GET /authenticators
openapi: 3.0.0
info:
  description: Authsignal's Client API.
  version: 1.0.0
  title: Client API
  termsOfService: https://www.authsignal.com/legal/terms-of-service
  contact:
    email: hello@authsignal.com
servers:
  - url: https://api.authsignal.com/v1/client
  - url: https://au.api.authsignal.com/v1/client
  - url: https://eu.api.authsignal.com/v1/client
  - url: https://ca.api.authsignal.com/v1/client
security:
  - bearerAuth: []
tags:
  - name: User authenticators
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: SMS
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: WhatsApp
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Email Magic Link
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Email OTP
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Authenticator App
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
  - name: Passkeys
    description: ''
    externalDocs:
      description: Find out more
      url: https://docs.authsignal.com
externalDocs:
  description: Find out more about Authsignal
  url: https://docs.authsignal.com
paths:
  /authenticators:
    get:
      tags:
        - Authenticator configurations
      summary: Get Authenticator Configurations
      description: Get a list of the authenticators configured for the tenant.
      operationId: getAuthenticatorConfigurations
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AuthenticatorConfiguration'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    AuthenticatorConfiguration:
      type: object
      properties:
        authenticatorId:
          type: string
          description: The ID of the authenticator configuration.
        verificationMethod:
          $ref: '#/components/schemas/VerificationMethod'
        isActive:
          type: boolean
          description: >-
            Determines whether the authenticator configuration is currently
            active/enabled.
        isEditableByUser:
          type: boolean
          description: >-
            Determines whether the user is able to edit the authenticator in the
            pre-built UI.
        isHiddenToUser:
          type: boolean
          description: Determines whether the authenticator in hidden in the pre-built UI.
        smsChannel:
          type: string
          enum:
            - DEFAULT
            - WHATSAPP
          description: >-
            For SMS authenticator configurations only. If set to `DEFAULT`, only
            regular SMS is allowed. If set to `WHATSAPP`, both regular SMS and
            WhatsApp messages are allowed.
      required:
        - authenticatorId
        - isActive
        - verificationMethod
      example:
        authenticatorId: authenticator_123
        isActive: true
        verificationMethod: SMS
        smsChannel: WHATSAPP
    VerificationMethod:
      type: string
      enum:
        - SMS
        - AUTHENTICATOR_APP
        - EMAIL_MAGIC_LINK
        - EMAIL_OTP
        - PUSH
        - DEVICE
        - SECURITY_KEY
        - PASSKEY
        - VERIFF
        - IPROOV
        - PALM_BIOMETRICS_RR
        - IDVERSE
    ErrorWithCode:
      type: object
      properties:
        error:
          type: string
        errorDescription:
          type: string
        errorCode:
          type: string
      required:
        - error
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorWithCode'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use a short-lived token obtained from the Server API's Track Action
        endpoint. The token is valid for 10 minutes and should be passed in the
        Authorization header as 'Bearer {token}'.

````